Method: organizations.appgroups.subscriptions.list

List all api product subscriptions for an appgroup.

HTTP request

GET https://apigee.googleapis.com/v1/{parent=organizations/*/appgroups/*}/subscriptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Name of the appgroup. Use the following structure in your request: organizations/{org}/appgroups/{appgroup}

Authorization requires the following IAM permission on the specified resource parent:

  • apigee.appgroupsubscriptions.list

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of subscriptions to return. The service may return fewer than this value.

If unspecified, at most 100 subscriptions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous subscriptions.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to subscriptions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response for subscriptions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "appGroupSubscriptions": [
    {
      object (AppGroupSubscription)
    }
  ],
  "nextPageToken": string
}
Fields
appGroupSubscriptions[]

object (AppGroupSubscription)

The list of subscriptions for an AppGroup.

nextPageToken

string

Value that can be sent as pageToken to retrieve the next page of content. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform